Recent

Author Topic: (Solved) Lazarus 2.1.0 Controls Problem on Raspberry Pi 4 (Buster)  (Read 1837 times)

jdp

  • Jr. Member
  • **
  • Posts: 76
Hi all.

I compiled Lazarus 2.1.0 from the source on the Raspberry Pi. I now found that all the controls have special characters in the units field and if I double click it it will not create the events procedures.



« Last Edit: August 15, 2019, 11:25:06 pm by jdp »

RAW

  • Hero Member
  • *****
  • Posts: 781
Re: Lazarus 2.0.2 Controls Problem
« Reply #1 on: August 04, 2019, 11:32:26 pm »
I've never seen this on WINDOWS ... , so change the OS and be happy ...  :P
Windows 7 Pro (x64 Sp1) And Windows XP Pro (x86 Sp3) - LAZARUS 2.0.4 FPC 3.0.4 - TRUNK 2.1.0 FPC 3.3.1

jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.0.2 Controls Problem
« Reply #2 on: August 04, 2019, 11:52:45 pm »
Hahah really helpfull. Nope sorry but Windows does not run on the Raspberry Pi the same way as Raspbian  ;)

RAW

  • Hero Member
  • *****
  • Posts: 781
Re: Lazarus 2.0.2 Controls Problem
« Reply #3 on: August 05, 2019, 12:11:44 am »
Unfortunately I cannot test this on RP, because I don't have any ...
But you could try DosBox and Win 3.1 ...  :P again ...  :D
Windows 7 Pro (x64 Sp1) And Windows XP Pro (x86 Sp3) - LAZARUS 2.0.4 FPC 3.0.4 - TRUNK 2.1.0 FPC 3.3.1

jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.0.2 Controls Problem on Raspberry Pi
« Reply #4 on: August 05, 2019, 06:03:22 pm »
OK is there somebody that can help me for real? Why is Lazarus doing this after a compile from the source?

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 5515
    • wiki
Re: Lazarus 2.0.2 Controls Problem on Raspberry Pi
« Reply #5 on: August 05, 2019, 07:21:17 pm »
I have no idea, but a couple of guesses...

Afaik the unit name is stored by fpc (on the TObject.unitname). So the first question here is: What version of fpc? And in case it not 3.0.4, does it work with 3.0.4?

This could be an encoding issue. I.e. maybe fpc stores the strings in some ansi encoding, but Lazarus expects them in utf8.

jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.0.2 Controls Problem on Raspberry Pi
« Reply #6 on: August 05, 2019, 08:55:49 pm »
I am running the latest FPC

Code: Pascal  [Select]
  1. pi@PI4:~ $ fpc -iWDSOTP
  2. 3.3.1 2019/07/30 linux arm

And I downloaded Lazarus from SVN and compiled it.

jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.0.2 Controls Problem on Raspberry Pi
« Reply #7 on: August 05, 2019, 09:09:08 pm »
Lazarus is.

Code: Pascal  [Select]
  1. Version# 2.1.0
  2. Date 2019-07-30
  3. FPC Version: 3.3.1
  4. SVN Revision : 61644
  5. arm-linux-gtk2

jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.1.0 Controls Problem on Raspberry Pi
« Reply #8 on: August 07, 2019, 09:19:04 am »
Has nobody seen this before?

rvk

  • Hero Member
  • *****
  • Posts: 3780
Re: Lazarus 2.1.0 Controls Problem on Raspberry Pi
« Reply #9 on: August 08, 2019, 01:58:31 am »
Is this with all projects?
Or just one?

Try to make a simple new (empty) project and see if the error continues.
If not... We would need to see the source of the problem-project.

Thaddy

  • Hero Member
  • *****
  • Posts: 8457
Re: Lazarus 2.1.0 Controls Problem on Raspberry Pi
« Reply #10 on: August 08, 2019, 06:47:53 am »
Which version of Raspbian are you running? Buster? Wheezy? Jessie?
I can't reproduce it with trunk/trunk on GTK2/Raspbian Buster
Read the manuals and if you are a professional get a proper education in computer science. Makes the forum a lot cleaner.

jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.1.0 Controls Problem on Raspberry Pi
« Reply #11 on: August 11, 2019, 10:37:54 pm »
Hi. Thanks for getting back. I have been away for the weekend.

It is with all the projects.

I am running Buster as it is on a Raspberry Pi 4.

Code: Pascal  [Select]
  1. pi@PI4:~ $ cat /etc/os-release
  2. PRETTY_NAME="Raspbian GNU/Linux 10 (buster)"
  3. NAME="Raspbian GNU/Linux"
  4. VERSION_ID="10"
  5. VERSION="10 (buster)"
  6. VERSION_CODENAME=buster
  7. ID=raspbian
  8. ID_LIKE=debian
  9. HOME_URL="http://www.raspbian.org/"
  10. SUPPORT_URL="http://www.raspbian.org/RaspbianForums"
  11. BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"
  12. pi@PI4:~ $


I downloaded a new Trunk last week and it is still doing it.

Lazarus IDE v2.1.0 r61673






jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.1.0 Controls Problem on Raspberry Pi
« Reply #12 on: August 11, 2019, 10:51:03 pm »
I can give you remote access to the Pi and you can check it out if you don't have a Pi 4.

rvk

  • Hero Member
  • *****
  • Posts: 3780
Re: Lazarus 2.1.0 Controls Problem on Raspberry Pi
« Reply #13 on: August 12, 2019, 05:14:48 pm »
Yep. Can confirm. I have the same problem under RPI 3/Buster and freshly compiled trunk.

Fun part is, I can rebuild the IDE (which by my account also makes use of the same components)  %)
« Last Edit: August 12, 2019, 05:16:19 pm by rvk »

jdp

  • Jr. Member
  • **
  • Posts: 76
Re: Lazarus 2.1.0 Controls Problem on Raspberry Pi
« Reply #14 on: August 12, 2019, 05:21:48 pm »
Yes, I can compile the IDE and add other components and I can compile my projects. But I can not double click on the component for the event code to be added. I am glad you also have the issue so that then says there is a problem with Lazarus on Buster. So where do we go from there?